﻿--JDBgraphics ProViewPortSwitcher  www.jdbgraphics.nl 

views=#(#view_top,#view_bottom,#view_right,#view_left,#view_front,#view_back,#view_persp_user,#view_iso_user,#view_camera,#view_spot ,#view_shape,#view_grid)
mrc=#("swapToTop","swapToBottom","swapToRight","swapToLeft","swapToFront","swapToBack","swapToPerspective","swapToIso","swapToCamera","swapToSpot" ,"swapToShape","swapToGrid")

--Generate and execute macroscripts
for _i =1 to mrc.count do
(
print  ("Creating macro: JDBgraphics/"+ mrc[_i]) 
cmd="macroScript " + mrc[_i] +" category:\"JDBgraphics\" (
 
	type=#"+views[_i]+"
	maxed=0
	 
	if (viewport.numViews==1) do
	(	 
		max tool maximize
		maxed=1	
	)
		
	found=0	

	if (maxed==0) do (
			viewport.setType	 type
			found=1
			type=0	 
	)
	
	for i=1 to 5 do
	(    
		try(
			if ((viewport.getType index:i)==type) do ( 
			viewport.activeViewport=i;	
			found=1
		) ) catch ()
	)
 	
	if (found==0) do (
		viewport.setType	 type
	)
	
	if (maxed==1) do (
		max tool maximize	
	)
)
"
execute cmd
)